"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MsgClientImpl = void 0;
const binary_1 = require("../../../binary");
const tx_1 = require("./tx");
class MsgClientImpl {
    rpc;
    constructor(rpc) {
        this.rpc = rpc;
    }
    /* GrantAllowance grants fee allowance to the grantee on the granter's
     account with the provided expiration time. */
    grantAllowance = async (request) => {
        const data = tx_1.MsgGrantAllowance.encode(request).finish();
        const promise = this.rpc.request("cosmos.feegrant.v1beta1.Msg", "GrantAllowance", data);
        return promise.then(data => tx_1.MsgGrantAllowanceResponse.decode(new binary_1.BinaryReader(data)));
    };
    /* RevokeAllowance revokes any fee allowance of granter's account that
     has been granted to the grantee. */
    revokeAllowance = async (request) => {
        const data = tx_1.MsgRevokeAllowance.encode(request).finish();
        const promise = this.rpc.request("cosmos.feegrant.v1beta1.Msg", "RevokeAllowance", data);
        return promise.then(data => tx_1.MsgRevokeAllowanceResponse.decode(new binary_1.BinaryReader(data)));
    };
}
exports.MsgClientImpl = MsgClientImpl;
//# sourceMappingURL=tx.rpc.msg.js.map