"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MsgClientImpl = void 0;
const binary_1 = require("../../../binary");
const tx_1 = require("./tx");
class MsgClientImpl {
    rpc;
    constructor(rpc) {
        this.rpc = rpc;
    }
    /* SoftwareUpgrade is a governance operation for initiating a software upgrade.
    
     Since: cosmos-sdk 0.46 */
    softwareUpgrade = async (request) => {
        const data = tx_1.MsgSoftwareUpgrade.encode(request).finish();
        const promise = this.rpc.request("cosmos.upgrade.v1beta1.Msg", "SoftwareUpgrade", data);
        return promise.then(data => tx_1.MsgSoftwareUpgradeResponse.decode(new binary_1.BinaryReader(data)));
    };
    /* CancelUpgrade is a governance operation for cancelling a previously
     approved software upgrade.
    
     Since: cosmos-sdk 0.46 */
    cancelUpgrade = async (request) => {
        const data = tx_1.MsgCancelUpgrade.encode(request).finish();
        const promise = this.rpc.request("cosmos.upgrade.v1beta1.Msg", "CancelUpgrade", data);
        return promise.then(data => tx_1.MsgCancelUpgradeResponse.decode(new binary_1.BinaryReader(data)));
    };
}
exports.MsgClientImpl = MsgClientImpl;
//# sourceMappingURL=tx.rpc.msg.js.map